Bug 427127 (CVE-2007-6600) - CVE-2007-6600 PostgreSQL privilege escalation
Summary: CVE-2007-6600 PostgreSQL privilege escalation
Status: CLOSED ERRATA
Alias: CVE-2007-6600
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=redhat,reported=20071231,publi...
Keywords: Security
Depends On: 427134 427135 427136 427137 427138 427220 427221 427772 427773 427774
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-01 02:23 UTC by Josh Bressers
Modified: 2018-10-19 22:32 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-01-11 22:14:11 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0038 normal SHIPPED_LIVE Moderate: postgresql security update 2008-01-11 12:39:13 UTC
Red Hat Product Errata RHSA-2008:0039 normal SHIPPED_LIVE Moderate: postgresql security update 2008-01-11 12:45:27 UTC
Red Hat Product Errata RHSA-2008:0040 normal SHIPPED_LIVE Moderate: postgresql security update 2008-02-01 14:55:29 UTC

Description Josh Bressers 2008-01-01 02:23:23 UTC
Any logged-in database user who has the ability to create tables and functions
(which in most installations will be everybody) can acquire database superuser
privilege, which means he can make the server process do whatever he wants.

Comment 6 Tomas Hoger 2008-01-07 13:58:20 UTC
Public now, lifting embargo:

http://www.postgresql.org/about/news.905
http://www.postgresql.org/support/security.html

Comment 10 Fedora Update System 2008-01-11 22:13:54 UTC
postgresql-8.2.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-01-11 22:24:20 UTC
postgresql-8.2.6-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.